{"openapi":"3.0.1","info":{"title":"5 Star API","description":"An API to perform Property operations","version":"v1"},"paths":{"/Properties":{"get":{"tags":["Properties"],"summary":"Get all Properties","operationId":"GetAllProperties","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PropertiesList"}}}}}}}},"/PropertyDetail":{"get":{"tags":["PropertyDetail"],"summary":"Get property detail","operationId":"GetPropertyDetail","parameters":[{"name":"puid","in":"query","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PropertyDetail"}}}}}}},"/PropertyImages":{"get":{"tags":["PropertyImages"],"summary":"Get property Images","operationId":"GetPropertyImages","parameters":[{"name":"puid","in":"query","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PropertyImagesModel"}}}}}}}}},"components":{"schemas":{"Amenities":{"type":"object","properties":{"type":{"type":"string","nullable":true},"truths":{"type":"array","items":{"type":"string"},"nullable":true},"location":{"type":"array","items":{"type":"string"},"nullable":true},"general":{"type":"array","items":{"type":"string"},"nullable":true},"kitchen":{"type":"array","items":{"type":"string"},"nullable":true},"entertainment":{"type":"array","items":{"type":"string"},"nullable":true},"outside":{"type":"array","items":{"type":"string"},"nullable":true},"meals":{"type":"array","items":{"type":"string"},"nullable":true},"housekeeping":{"type":"array","items":{"type":"string"},"nullable":true},"themes":{"type":"array","items":{"type":"string"},"nullable":true},"dining":{"type":"array","items":{"type":"string"},"nullable":true},"poolspa":{"type":"array","items":{"type":"string"},"nullable":true},"outside_services":{"type":"array","items":{"type":"string"},"nullable":true},"resort":{"type":"array","items":{},"nullable":true}},"additionalProperties":false},"Bedrooms":{"type":"object","properties":{"name":{"type":"string","nullable":true},"count":{"type":"integer","format":"int32"}},"additionalProperties":false},"PropertiesList":{"type":"object","properties":{"_id":{"type":"string","nullable":true},"active":{"type":"boolean","description":"Possible values: true or false"},"puid":{"type":"integer","format":"int32"},"updatedat":{"type":"integer","format":"int32"},"calendarupdatedat":{"type":"integer","format":"int32"},"rateupdatedat":{"type":"integer","format":"int32"},"currency":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"guests":{"type":"integer","format":"int32"},"bathrooms":{"type":"number","format":"double"},"bedrooms":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"sizetype":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false},"PropertyDetail":{"type":"object","properties":{"_id":{"type":"string","nullable":true},"active":{"type":"boolean"},"puid":{"type":"integer","format":"int32"},"updatedat":{"type":"integer","format":"int32"},"calendarupdatedat":{"type":"integer","format":"int32"},"rateupdatedat":{"type":"integer","format":"int32"},"currency":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"presentation_text":{"type":"string","nullable":true},"guests":{"type":"integer","format":"int32"},"bathrooms":{"type":"number","format":"double"},"bedrooms":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"amenities":{"$ref":"#/components/schemas/Amenities"},"video_url":{"type":"string","nullable":true},"tour_3d_url":{"type":"string","nullable":true},"latitude":{"type":"number","format":"double"},"longitude":{"type":"number","format":"double"},"street":{"type":"string","nullable":true},"zip":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"region":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"neighborhood":{"type":"string","nullable":true},"checkin":{"type":"string","nullable":true},"checkout":{"type":"string","nullable":true},"beds":{"type":"array","items":{"$ref":"#/components/schemas/Bedrooms"},"nullable":true},"htmldescription":{"type":"string","nullable":true},"sizetype":{"type":"string","nullable":true}},"additionalProperties":false},"PropertyImagesModel":{"type":"object","properties":{"name":{"type":"string","nullable":true},"caption":{"type":"string","nullable":true},"sortorder":{"type":"integer","format":"int32"}},"additionalProperties":false}}}}